Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# The NMFace object

This object holds mesh face data.

Method Summary |
| `append(vertex)` Append a vertex to this face's vertex list.

Class Variable Summary |
| `col` - The list of vertex colours.
| `flag` - Bit vector specifying selection flags (see `NMesh.FaceFlags`).
| `image` - The Image used as a texture for this face.
| `mat` - Same as materialIndexbelow.
| `materialIndex` - The index of this face's material in its NMesh materials list.
| `mode` - The display mode (see `Mesh.FaceModes`)
| `smooth` - If non-zero, the vertex normals are averaged to make this face look smooth.
| `transp` - Transparency mode bit vector (see `NMesh.FaceTranspModes`).
| `uv` - List of per-face UV coordinates: [(u0, v0), (u1, v1), ...].
list | `v` - The list of face vertices (up to 4).

Method Details |

append(vertex)

Append a vertex to this face's vertex list.

  Parameters:

    `vertex` - An NMVert object.

    (type=NMVert)

Class Variable Details |

col The list of vertex colours.

flag Bit vector specifying selection flags (see `NMesh.FaceFlags`).

image The Image used as a texture for this face.

mat Same as materialIndex below.

materialIndex The index of this face's material in its NMesh materials list.

mode The display mode (see `Mesh.FaceModes`)

smooth If non-zero, the vertex normals are averaged to make this face look smooth.

transp Transparency mode bit vector (see `NMesh.FaceTranspModes`).

uv List of per-face UV coordinates: [(u0, v0), (u1, v1), ...].

v

The list of face vertices (up to 4).

  Type:

    list

<<< Previous | Home | Next >>>
Class NMFace | Up | Class NMVert